package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(IISLDataflowResults_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public interface IISLDataflowResults   {
	
	
	/*** PROTECTED REGION ID(IISLDataflowResults_userCode) ENABLED START ***/
	public ISLUnionMap getMustDependence();
	public ISLUnionMap getMayDependence();
	public ISLUnionMap getFullMustDependence();
	public ISLUnionMap getFullMayDependence();
	public ISLUnionMap getMustNoSource();
	public ISLUnionMap getMayNoSource();
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	
}
